# Uses of Class
org.eclipse.e4.ui.workbench.renderers.swt.ToolBarContributionRecord

Packages that use ToolBarContributionRecord
Package
Description
org.eclipse.e4.ui.workbench.renderers.swt

## Uses of ToolBarContributionRecord in org.eclipse.e4.ui.workbench.renderers.swt

Methods in org.eclipse.e4.ui.workbench.renderers.swt that return ToolBarContributionRecord
Modifier and Type
Method
Description
`ToolBarContributionRecord`
ToolBarManagerRenderer.`getContributionRecord(MToolBarElement element)`
Methods in org.eclipse.e4.ui.workbench.renderers.swt that return types with arguments of type ToolBarContributionRecord
Modifier and Type
Method
Description
`ArrayList<ToolBarContributionRecord>`
ToolBarManagerRenderer.`getList(MToolBarElement item)`
Methods in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type ToolBarContributionRecord
Modifier and Type
Method
Description
`void`
ToolBarManagerRenderer.`cleanUpCopy(ToolBarContributionRecord record, MToolBarElement copy)`
`void`
ToolBarManagerRenderer.`linkElementToContributionRecord(MToolBarElement element, ToolBarContributionRecord record)`
Method parameters in org.eclipse.e4.ui.workbench.renderers.swt with type arguments of type ToolBarContributionRecord
Modifier and Type
Method
Description
`boolean`
ToolBarContributionRecord.`computeVisibility(HashSet<ToolBarContributionRecord> recentlyUpdated, MToolBarElement item, ExpressionContext exprContext)`